c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
thread.h File Reference
`#include <memory>`
`#include <utility>`
`#include <pthread.h>`
`#include <c++-gtk-utils/callback.h>`
`#include <c++-gtk-utils/mutex.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes
class | Cgu::Thread::Thread
| A class representing a pthread thread. More...
class | Cgu::Thread::JoinableHandle
| A class wrapping a Thread::Thread object representing a joinable thread. More...
class | Cgu::Thread::CancelBlock
| A class enabling the cancellation state of a thread to be controlled. More...
class | Cgu::Thread::Exit
| A class which can be thrown to terminate the throwing thread. More...

## Namespaces
namespace | Cgu
namespace | Cgu::Thread